tyBoolean BooleanRandom ()
{
  // Randomly returns true or false.

  return kRandomList[RandomSeed++] & 1;
}

s32 Random (signed int Low, signed int High)
{
  // Returns a random integer in the interval [Low, High].

  return ((s32)kRandomList[RandomSeed++] % (High - Low + 1)) + Low;
}

fix14 fixRnd(fix14 Low, fix14 High)
{
  // Returns a random 18.14 fixed-point number in the interval [Low, High).

  return (fix14)kRandomList[RandomSeed++] % (High - Low) + Low;
}
